      SUBROUTINE EST(NP,PPAR,XLL)
c
c    tmest.f      - SURVIV estimate routine designed by R. Pradell
c                   computes standard Jolly/Seber Model estimates with
c                   an added parameter vector, G(i) = prob. that a newly
c                   captured (unmarked) animal is resident.
c                  
c                   Data for this routine must be in a modified B-Table form.
c
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      INCLUDE 'MODELC'
      DOUBLE PRECISION CP(MAXPAR),PHI(MAXPAR),GAM(MAXPAR)
      common /evars/xint(100)
C
      CALL MOVFLT(PPAR,PAR,NEST)
      XLL=0.
      ISS=0
      IP=0
    3 NYRS=NCLASS(ip+1)
      NCHTS=(NYRS-1)*2-1
c
      DO 6 I=1,NYRS-1
        PHI(I)=SS(I+ISS)**XINT(I)
        CP(I+1)=SS(I+NYRS-1+ISS)
    6   GAM(I)=SS(I+NYRS+NYRS-2+ISS)
C
      DO 20 I=1,NCHTS
         SUM=0.0
         IYR=I/2+1
         PRD=1
         DO 10 J=1,NCLASS(I+IP)-1
            P(J,I+IP)=PHI(IYR)*PRD*CP(IYR+J)
            IF(MOD(I,2).EQ.1)P(J,I+IP)=GAM(IYR)*P(J,I+IP)
            XLL=XLL+DBLE(OBS(J,I+IP))*LOG(MAX(1.D1**(-NSIG),P(J,I+IP)))
            PRD=PRD*(1.-CP(IYR+J))*PHI(IYR+J)
   10       SUM=SUM+P(J,I+IP)
          J=NCLASS(I+IP)
          P(J,I+IP)=1.0-SUM
          XLL=XLL+DBLE(OBS(J,I+IP))*LOG(MAX(1.D1**(-NSIG),P(J,I+IP)))
   20    CONTINUE
      ISS=ISS+(NYRS-1)*3
      IP=IP+NCHTS
      IF(IP.LT.NCOHT)GO TO 3

      XLL=-XLL
      RETURN
      END

